Skip to main content
GET
/
service-providers
/
properties
/
payment-methods
Search payment methods
curl --request GET \
  --url https://api-sb.meld.io/service-providers/properties/payment-methods \
  --header 'Authorization: <api-key>'
[
  {
    "logos": {
      "dark": "<string>",
      "light": "<string>"
    },
    "name": "<string>",
    "paymentMethod": "<string>",
    "paymentType": "<string>",
    "serviceProviderDetails": {}
  }
]

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

serviceProviders
string

A comma separated list of service providers.

statuses
string
default:LIVE,RECENTLY_ADDED

A comma separated list of service provider statuses. Valid values are: LIVE,RECENTLY_ADDED,BUILDING

categories
string

A comma separated list of service provider categories. Valid values are: BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS. Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven and cannot be requested directly.

accountFilter
boolean
default:false

Filter by account configuration. Will only include properties supported by the service providers configured for the account of the API authentication token used.

countries
string

A comma separated list of countries.

fiatCurrencies
string

A comma separated list of fiat currencies.

cryptoChains
string

A comma separated list of crypto chains.

cryptoCurrencies
string

A comma separated list of crypto currencies.

paymentMethodTypes
string

A comma separated list of payment method types. Valid Values are: Supported Payment Methods

includeServiceProviderDetails
boolean
default:false

When true, includes the service provider coverage and mappings for each property in the response.

Response

Search successful

logos
object

The logo URLs for the Payment Method.

name
string

The display name for the Payment Method.

paymentMethod
string

The identifier for the Payment Method.

paymentType
string

The type of Payment Method.

serviceProviderDetails
object

The service provider coverage and mappings. All service providers in this map support the property (coverage). Service provider mappings are included in the values of the map, if required. Only present when includeServiceProviderDetails request parameter is set to true.